/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
package edu.uml.giro.gambit.coefficients;

import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.PrintWriter;

import edu.uml.giro.gambit.expansions.ExpansionBasis;
import edu.uml.lgdc.geospace.CharChoice;

import edu.uml.lgdc.geospace.CharChoice;
/**
 * Contains coefficient related operations.
 *
 */
public abstract class Coefficients<T> {
	protected CharChoice cc;

	public void setCharChoice(CharChoice cc) {
		this.cc = cc;
	}

	public CharChoice getCharChoice() {
		return cc;
	}

	protected ExpansionBasis basis;

	public void setExpansionBasis(ExpansionBasis basis) {
		this.basis = basis;
	}

	public ExpansionBasis getExpansionBasis() {
		return basis;
	}

	public abstract T get();

	public abstract void put(T object);

	public abstract void reset();

	public abstract void loadFromClimateFile(int month, double sunspotNumber);

	public abstract void exportCoefficientsToTextFile(PrintWriter writer);

	public abstract ByteArrayInputStream toInputStream();

	public abstract void loadFromInputStream(InputStream is);
}
