/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
package edu.uml.giro.gambit.core;

public class AlgorithmVersions {

	public int versionID; // ID of IRTAM configuration in the GAMBIT database
	public String name; // Name of the IRTAM algorithm suite
	public String description; // Description of the IRTAM algorithm suite
	public String expansionBasisName; // name of the expansion basis
	public int temporalExpansionTerms; // length of the expansion in time
	public int spatialExpansionTerms; // length of the expansion in space
	public String assimilationName; // name of the assimilation algorithm
	public int nLats; // number of longitudes of the Earth grid
	public int nLons; // number of longitudes of the Earth grid


	public String toString() {
		return name;
	}

}