/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
package edu.uml.giro.gambit.core;

public enum SitesTypeChoice {
	OBSERVATIONS("GIRO data", "Observations at GIRO locations"), 
	DEVIATIONS_CLIMATE("GIRO data minus Climate model", "Difference between measured and climate-modeled\n" + "characterisitics at GIRO locations"), 
	DEVIATIONS_WEATHER("GIRO data minus IRTAM model", "Difference between measured and IRTAM-modeled\n" + "characterisitics at GIRO locations");

	private final String shortName;
	private final String description;
	private final String description_tooltip;

	private SitesTypeChoice(String shortName, String description) {
		this.shortName = shortName;
		this.description = description;
		this.description_tooltip = "<html>" + description.replaceAll("\n", "<br>") + "</html>";
	}

	public String getDescription_tool() {
		return description_tooltip;
	}

	public String getDescription() {
		return description;
	}

	public String getShortName() {
		return shortName;
	}

}
