package edu.uml.giro.gambit.database;

import edu.uml.lgdc.quantities.NO_VALUE;

/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
public class StationLocation {
	public String ursi; // URSI station code, 2+3
	public String name; // Station Name
	public double lat = -1; // latitude of station
	public double lon = -1; // East longitude of station 0..360
	public int didbaseIdent = NO_VALUE.INDEX;
	
	public StationLocation (StationLocation location) {
		ursi = new String(location.ursi);
		name = new String(location.name);
		lat = location.lat;
		lon = location.lon;
		didbaseIdent = location.didbaseIdent;
	}
	
	public StationLocation (String ursi, String name, double lat, double lon, int didbaseIdent ) {
		this.ursi = new String(ursi);
		this.name = new String(name);
		this.lat = lat;
		this.lon = lon;
		this.didbaseIdent = didbaseIdent;
	}	
	
}