package edu.uml.lgdc.database;


/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
public interface ConnectContainer {
	/**
	 * Returns {@link DBConnect} instance.<br>
	 * If {@link DBConnect} instance was not set, then behavior depends on implementation. For example, it may return <b>null</b>, or may
	 * throw an exception.
	 */
	public DBConnect getDbConnect();
	/**
	 * Sets {@link DBConnect} instance.<br>
	 * If parameter <code>connect</code> is <b>null</b>, then behavior depends on implementation. For example it may accept <b>null</b>, or
	 * may throw an exception.
	 */
	public void setDbConnect(DBConnect connect);
}