/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
package edu.uml.lgdc.database;

public class SPColumn {
	private final String name;
	private final SPColumnType type; // IN or OUT
	private final int sqlType;
	public SPColumn(String name, SPColumnType type, int sqlType) {
		this.name = name.toUpperCase();
		this.type = type;
		this.sqlType = sqlType;
	}
	public String getName() {
		return name;
	}
	public SPColumnType getType() {
		return type;
	}
	public int getSqlType() {
		return sqlType;
	}
	@Override public boolean equals(Object object) {
		if (object != null && object instanceof SPColumn) {
			SPColumn column = (SPColumn)object;
			return name.equals(column.name) && type == column.type && sqlType == column.sqlType;
		} else {
			return false;
		}
	}
	@Override public int hashCode() {
		return name.hashCode() + 31 * (31 * type.getId() + sqlType);
	}
}
