/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
package edu.uml.lgdc.datatype;

public class Cast {
	/**
	 * Generic cast. If the Object o can not be cast to the Class T returns
	 * null.
	 * 
	 * @param o
	 * @param c
	 * @return
	 */
	static public <T> T cast(Object o, Class<T> c) {
		try {
			return c.cast(o);
		} catch (ClassCastException e) {
			System.out.println("Cannot cast " + o + " to " + c.getName());
			return null;
		}
	}

}
