package edu.uml.lgdc.datatype;

/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
public interface DoubleArray {
	/**
	 * Returns the size data.
	 */
	public int size();
	/**
	 * Returns element of data with given <code>index</code>.<br>
	 * Legal indexes are from 0 to <code>{@link #size()} - 1</code>.<br>
	 * If <code>index</code> is illegal, {@link ArrayIndexOutOfBoundsException} will be thrown in most implementations, but not necessarily.
	 */
	public double element(int index);
	/**
	 * Returns last element
	 */
	public double last();
	/**
	 * Returns minimum value of array.
	 */
	public double getMinData();
	/**
	 * Returns maximum value of array.
	 */
	public double getMaxData();
}