/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
package edu.uml.lgdc.project.settings;

/**
 * @author Alex Kozlov
 */
public interface Settings {
	/**
	 * Reads parameters/settings from given raw {@code optionsIO} to higher level content form of settings, usually to user type-aware content.<br>
	 * It is not specified here what parameters/settings, but usually it is called from user class {@link OptSecDescriptor}.
	 */
	public void getFrom(OptionsIO optionsIO);
	/**
	 * Writes parameters/settings from high level content form of settings, usually user type- and semantic-aware content, 
	 * to given raw form of {@code optionsIO}.<br>
	 * It is not specified here what parameters/settings, but usually it is called from user class {@link OptSecDescriptor}.
	 */
	public void putTo(OptionsIO optionsIO);
}
