/*******************************************************************************
 * Copyright (c) 2004, 2018 University of Massachusetts Lowell
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Creative Commons 
 * Attribution-ShareAlike 2.0 (CC BY-SA 2.0) available at
 * https://creativecommons.org/licenses/by-sa/2.0/ with the 
 * attribution clause "Lowell GIRO Data Center Rules of the Road"
 * available at http://umlcar.uml.edu/DIDBase/RulesOfTheRoadForDIDBase.htm
 *******************************************************************************/
package edu.uml.lgdc.quantities;

///////////////////////////////////////////////////////////
//
//
//                  N O _ V A L U E
//
//
//
// started: August 24, 1997
// Copyright c1997 UMass Lowell Ctr Atmos Res
//
///////////////////////////////////////////////////////////

public class NO_VALUE {

	public static final double MHZ = 999.9;
	public static final double KHZ = -1;
	public static final double HZ100 = 999999;
	public static final double KM = 9999.;
	public static final double CHAR = 9999.;
	public static final double M100 = -1;
	public static final int INDEX = -1;
	public static final int PIXELS = -1;
	public static final int INT = -1;
	public static final double SPECIAL = 9999.;
	public static final int DOPPLER_INDEX_SAO = 9; // this is forever so
	public static final double DOPPLER_HZ = 99.0;
	public static final double ZENITH = 999.;
	public static final double AZIMUTH = 999.;
	public static final int AMPLITUDE = 9999;
	public static final double DOUBLE_STATION_CONSTANT = 9999.;
	public static final int CONF_LEVEL = 9999;
	public static final int CONF_SCORE = -1;
	public static final String URSI_CHAR_CODE = "ZZ";
	public static final double TEC = -1;
	public static final double DENSITY = -1;
	public static final double DISTANCE = -1;
	public static final int MAX = Integer.MAX_VALUE;
	public static final int VERSION = -1;
	public static final double DEGREES = Double.MAX_VALUE;

	public static boolean heightKM(double value) {
		return !(value > 0. && value < KM);
	}

	public static boolean freqMHz(double value) {
		return !(value > 0. && value < MHZ);
	}
}
